com.fasterxml.jackson.databind.deser.std

## Class StdKeyDeserializers

- java.lang.Object
- - com.fasterxml.jackson.databind.deser.std.StdKeyDeserializers

All Implemented Interfaces:
  KeyDeserializers, Serializable

    public class StdKeyDeserializers
    extends Object
    implements KeyDeserializers, Serializable

Helper class used to contain simple/well-known key deserializers. Following kinds of Objects can be handled currently:

- Primitive wrappers (Boolean, Byte, Char, Short, Integer, Float, Long, Double)
- Enums (usually not needed, since EnumMap doesn't call us)
- `Date`
- `Calendar`
- `UUID`
- `Locale`
- Anything with constructor that takes a single String arg (if not explicitly @JsonIgnore'd)
- Anything with `static T valueOf(String)` factory method (if not explicitly @JsonIgnore'd)

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`StdKeyDeserializers()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static KeyDeserializer` `constructDelegatingKeyDeserializer(DeserializationConfig config, JavaType type, JsonDeserializer<?> deser)`
`static KeyDeserializer` `constructEnumKeyDeserializer(EnumResolver enumResolver)`
`static KeyDeserializer` `constructEnumKeyDeserializer(EnumResolver enumResolver, AnnotatedMethod factory)`
`static KeyDeserializer` `constructEnumKeyDeserializer(EnumResolver enumResolver, AnnotatedMethod factory, EnumResolver enumNamingResolver, EnumResolver byToStringResolver, EnumResolver byIndexResolver)`
`static KeyDeserializer` `constructEnumKeyDeserializer(EnumResolver enumRes, EnumResolver byEnumNamingResolver, EnumResolver byToStringResolver, EnumResolver byIndexResolver)`
`KeyDeserializer` `findKeyDeserializer(JavaType type, DeserializationConfig config, BeanDescription beanDesc)`
`static KeyDeserializer` `findStringBasedKeyDeserializer(DeserializationConfig config, JavaType type)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StdKeyDeserializers

    public StdKeyDeserializers()

### Method Detail

#### constructEnumKeyDeserializer

    public static KeyDeserializer constructEnumKeyDeserializer(EnumResolver enumResolver)

#### constructEnumKeyDeserializer

    public static KeyDeserializer constructEnumKeyDeserializer(EnumResolver enumResolver,
                                                               AnnotatedMethod factory)

#### constructEnumKeyDeserializer

    public static KeyDeserializer constructEnumKeyDeserializer(EnumResolver enumRes,
                                                               EnumResolver byEnumNamingResolver,
                                                               EnumResolver byToStringResolver,
                                                               EnumResolver byIndexResolver)

Since:
  2.16

#### constructEnumKeyDeserializer

    public static KeyDeserializer constructEnumKeyDeserializer(EnumResolver enumResolver,
                                                               AnnotatedMethod factory,
                                                               EnumResolver enumNamingResolver,
                                                               EnumResolver byToStringResolver,
                                                               EnumResolver byIndexResolver)

Since:
  2.16

#### constructDelegatingKeyDeserializer

    public static KeyDeserializer constructDelegatingKeyDeserializer(DeserializationConfig config,
                                                                     JavaType type,
                                                                     JsonDeserializer<?> deser)

#### findStringBasedKeyDeserializer

    public static KeyDeserializer findStringBasedKeyDeserializer(DeserializationConfig config,
                                                                 JavaType type)
                                                          throws JsonMappingException

Throws:
  `JsonMappingException`

#### findKeyDeserializer

    public KeyDeserializer findKeyDeserializer(JavaType type,
                                               DeserializationConfig config,
                                               BeanDescription beanDesc)
                                        throws JsonMappingException

Specified by:
  `findKeyDeserializer` in interface `KeyDeserializers`
Throws:
  `JsonMappingException`